#include<stdio.h>

int main(){
  
  int n,c, cs,cd,cj, min1, min2, min3;
  scanf("%d", &n);
  
  if(n<100 || n>999){
    printf("-1");
    return 0;
  }
  cj=n%10;
  cd=(n%100)/10;
  cs=n/100;
  
  if(cs<=cd && cd<=c){
    min1=cs;
    if(cd<=cj){
      min2=cd;
      min3=cj;
    }
    else{
      min2=cj;
      min3=cd;
    }
  }
  else if(cd<=cs && cd<=cj){
    min1=cd;
    if(cs<=cj){
      min2=cs;
      min2=cj;
    }
    else{
      min2=cj;
      min3=cs;
    }
  }
  else if(cj <= cd && cj<=cs){
    min1=cj;
    if(cd<=cs){
      min2=cd;
      min3=cs;
    }
    else {
      min2=cs;
      min3=cd;
    }
  }
  n=0;
  printf("%d\n", n);

  return 0;
}